#ifndef _PARSER_H
#define _PARSER_H

#include <time.h>

typedef int (parse_fn_t)(char *rrd_data, const char **parser_data,
			void **parser_state);

typedef int (parse_multi_fn_t)(char ***rrd_data, const char **parser_data,
			void **parser_state, time_t last_update);

struct parser_info {
	struct parser_info *next;
	const char *name;
	parse_fn_t *parse;
	parse_multi_fn_t *parse_multi;
};

int register_parser(struct parser_info *info);
struct parser_info *str_to_parser(const char *str);

#define RRD_DATA_MAX_LEN	4096

#endif
